package org.ts.ddcs.RabbitMQ;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.PropertySource;
import org.springframework.stereotype.Component;

@Component
@ConfigurationProperties(prefix = "run-config.mq", ignoreUnknownFields = false)
public class RabbitQueueConfig {

    private String waitingToProcessDatagram;
    private String toRtuDatagram;
    private String serverSelfCheckingMessage;
    private String warningMessage;
    private String checkStateQueue;
    private String logMessage;
    private String shareMessage;
   // private String waitingToProcessDatagramExt;

//    public String getWaitingToProcessDatagramExt() {
//        return waitingToProcessDatagramExt;
//    }
//
//    public void setWaitingToProcessDatagramExt(String waitingToProcessDatagramExt) {
//        this.waitingToProcessDatagramExt = waitingToProcessDatagramExt;
//    }

    public String getShareMessage() {
        return shareMessage;
    }

    public void setShareMessage(String shareMessage) {
        this.shareMessage = shareMessage;
    }

    public String getWaitingToProcessDatagram() {
        return waitingToProcessDatagram;
    }

    public void setWaitingToProcessDatagram(String waitingToProcessDatagram) {
        this.waitingToProcessDatagram = waitingToProcessDatagram;
    }

    public String getToRtuDatagram() {
        return toRtuDatagram;
    }

    public void setToRtuDatagram(String toRtuDatagram) {
        this.toRtuDatagram = toRtuDatagram;
    }

    public String getServerSelfCheckingMessage() {
        return serverSelfCheckingMessage;
    }

    public void setServerSelfCheckingMessage(String serverSelfCheckingMessage) {
        this.serverSelfCheckingMessage = serverSelfCheckingMessage;
    }

    public String getWarningMessage() {
        return warningMessage;
    }

    public void setWarningMessage(String warningMessage) {
        this.warningMessage = warningMessage;
    }

    public String getCheckStateQueue() {
        return checkStateQueue;
    }

    public void setCheckStateQueue(String checkStateQueue) {
        this.checkStateQueue = checkStateQueue;
    }

    public String getLogMessage() {
        return logMessage;
    }

    public void setLogMessage(String logMessage) {
        this.logMessage = logMessage;
    }
}
